%define version 0.5
%define release 7mdk
%define name gtkmotd

Summary: 	Message of the day display
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
URL: 		http://rhlx01.rz.fht-esslingen.de/gtkmotd/
Group: 		Toys
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
gtkmotd displays the message of the day as of /etc/motd to the user and
exits. It is useful to have in X11 startup scripts.

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
%make

%install
%makeinstall

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gtkmotd"\
title="Gtkmotd"\
longtitle="Gtk version of motd"\
needs="x11"\
icon="other_configuration.png"\
section="System/Configuration/Other"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus} 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc AUTHORS CHANGELOG COPYING README TODO
%{_bindir}/gtkmotd
%{_libdir}/menu/*

%changelog
* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5-7mdk
- rebuild

* Mon Jan 27 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.5-6mdk
- rebuild

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.5-5mdk
- Fix menu entry

* Wed Jul 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-4mdk
- rebuild

* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-3mdk
- rebuild
- add url

* Mon Sep 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- BM
- macros
- menu


* Tue Feb 29 2000 Adrian Reber <adrian@linux-mandrake.com>
- Mandrake adaptations.
 
* Thu Mar 04 1999 Nils Philippsen <nils@fht-esslingen.de>
- Rebuilt against gtk+-1.2.0
 
* Tue Dec 22 1998 Nils Philippsen <nils@fht-esslingen.de>
- Rebuilt against gtk+-1.1.7
 
* Mon Dec 07 1998 Nils Philippsen <nils@fht-esslingen.de>
- Initial build of version 0.5   
